Subject: Re: [patch 5/5] d80211: add ioctl to stop data frame tx

From: Johannes Berg <[email-masked]>
Date: Wed, 30 Aug 2006 09:26:21 +0200

On Tue, 2006-08-29 at 11:39 -0700, Jouni Malinen wrote:

> What would be the preferred way of doing the conversion here? I think I
> would prefer to get the radar detection code in as-is and then move all
> the messages to use a new mechanism as one change once that mechanism
> becomes available.

I suppose that depends on how quickly you want these things :) nl80211
is there for review and I suppose if a bunch of people actually build
things on top of it we can merge it. As it stands, we could merge it and
then start building too, if a few more people review it maybe.

> hostapd connection uses number of these frames which are actually not
> fake management frames, but just frames with different "pseudo header"
> on the management interface. You can search for ieee80211_msg_ types to
> see the different types of status messages that are used.

Yeah, I know. Does anyone else use these or can we simply drop this
after conversion?

johannes